HTTPS 
В настоящее время это приложение не предоставляет никаких функций для принудительного отображения представлений только для HTTPS или переключения с HTTP на HTTPS (и обратно) по требованию. Существуют сторонние пакеты, предназначенные именно для этого, поэтому, пожалуйста, используйте их.

Milirina | 17 января 2019 г. 16:03


Требуется  адрес электронной почты 
Даже если проверка электронной почты не является обязательной во время регистрации, могут возникнуть обстоятельства, при которых вы действительно хотите предотвратить продолжение действий непроверенных пользователей. Для этого вы можете использовать следующий декоратор:

Milirina | 17 января 2019 г. 15:13


Перезаписываемые шаблоны 
allauth поставляется много шаблонов, которые можно просмотреть в каталоге allauth / templates .

Milirina | 17 января 2019 г. 15:10


Следующие формы могут быть переопределены при необходимости.

  • Добавьте дополнительные поля для дополнительной необходимой информации
  • Отменить сохранение, чтобы добавить дополнительные функции при сохранении
Milirina | 17 января 2019 г. 15:00


Логин ( account_login
Пользователи авторизируются через allauth.account.views.LoginView вид на /accounts/login/(URL-имя account_login). Когда пользователи пытаются войти в систему, когда их учетная запись неактивна ( user.is_active), они представлены с account/account_inactive.html шаблоном.

Milirina | 17 января 2019 г. 1:07


Есть несколько сигналов, излучаемых во время потоков аутентификации. Вы можете подключить их к своим потребностям.

Milirina | 17 января 2019 г. 0:55


Большинство провайдеров требуют, чтобы вы подписались на так называемый клиент или приложение API, содержащие идентификатор клиента и секрет API. Вы должны добавить SocialApp запись для каждого провайдера через администратора Django, содержащую эти учетные данные приложения.

Milirina | 17 января 2019 г. 0:48


Доступные настройки:

ACCOUNT_ADAPTER (= ”allauth.account.adapter.DefaultAccountAdapter”)
Указывает используемый класс адаптера, позволяющий изменить определенное поведение по умолчанию.

Milirina | 16 января 2019 г. 22:01

Kiwi standing on oval1344
Категория - django-allauth

Пакет Python:

pip install django-allauth

 

Milirina | 16 января 2019 г. 21:36


Требования 

  • Python 2.7, 3.3, 3.4, 3.5 или 3.6
  • Джанго (1.11+)
  • python-openid или python3-openid (в зависимости от вашей версии Python)
  • запросы и запросы-oauthlib
Milirina | 16 января 2019 г. 20:58

Предложить статью